# local-name

local-name() → xs:string

Returns the local part of the name of the context node

There are no arguments
Result | xs:string

local-name($arg as node()?) → xs:string

Returns the local part of the name of the supplied node

Arguments
| $arg | node()? | The node whose local name is required
Result | xs:string

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next